'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactNative = require('react-native');

var _Text = require('../text/Text');

var _Text2 = _interopRequireDefault(_Text);

var _fonts = require('../config/fonts');

var _fonts2 = _interopRequireDefault(_fonts);

var _colors = require('../config/colors');

var _colors2 = _interopRequireDefault(_colors);

var _FontAwesome = require('react-native-vector-icons/FontAwesome');

var _FontAwesome2 = _interopRequireDefault(_FontAwesome);

var _Zocial = require('react-native-vector-icons/Zocial');

var _Zocial2 = _interopRequireDefault(_Zocial);

var _Octicons = require('react-native-vector-icons/Octicons');

var _Octicons2 = _interopRequireDefault(_Octicons);

var _MaterialIcons = require('react-native-vector-icons/MaterialIcons');

var _MaterialIcons2 = _interopRequireDefault(_MaterialIcons);

var _Ionicons = require('react-native-vector-icons/Ionicons');

var _Ionicons2 = _interopRequireDefault(_Ionicons);

var _Foundation = require('react-native-vector-icons/Foundation');

var _Foundation2 = _interopRequireDefault(_Foundation);

var _EvilIcons = require('react-native-vector-icons/EvilIcons');

var _EvilIcons2 = _interopRequireDefault(_EvilIcons);

var _Entypo = require('react-native-vector-icons/Entypo');

var _Entypo2 = _interopRequireDefault(_Entypo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {};

var getIconType = function getIconType(type) {
  switch (type) {
    case 'zocial':
      return _Zocial2.default;
    case 'octicon':
      return _Octicons2.default;
    case 'material':
      return _MaterialIcons2.default;
    case 'ionicon':
      return _Ionicons2.default;
    case 'foundation':
      return _Foundation2.default;
    case 'evilicon':
      return _EvilIcons2.default;
    case 'entypo':
      return _Entypo2.default;
  }
};

var CheckBox = function CheckBox(_ref) {
  var component = _ref.component;
  var checked = _ref.checked;
  var iconRight = _ref.iconRight;
  var title = _ref.title;
  var center = _ref.center;
  var right = _ref.right;
  var containerStyle = _ref.containerStyle;
  var textStyle = _ref.textStyle;
  var onPress = _ref.onPress;
  var checkedIcon = _ref.checkedIcon;
  var uncheckedIcon = _ref.uncheckedIcon;
  var iconType = _ref.iconType;
  var checkedColor = _ref.checkedColor;
  var uncheckedColor = _ref.uncheckedColor;
  var checkedTitle = _ref.checkedTitle;
  var fontFamily = _ref.fontFamily;

  var Icon = _FontAwesome2.default;
  if (iconType) {
    Icon = getIconType(iconType);
  }
  var Component = component || _reactNative.TouchableOpacity;
  var iconName = uncheckedIcon;
  if (checked) {
    iconName = checkedIcon;
  }
  return _react2.default.createElement(
    Component,
    {
      onPress: onPress,
      style: [styles.container, containerStyle && containerStyle] },
    _react2.default.createElement(
      _reactNative.View,
      { style: [styles.wrapper, right && { justifyContent: 'flex-end' }, center && { justifyContent: 'center' }] },
      !iconRight && _react2.default.createElement(Icon, {
        color: checked ? checkedColor : uncheckedColor,
        name: iconName,
        size: 24 }),
      _react2.default.createElement(
        _Text2.default,
        { style: [styles.text, textStyle && textStyle, fontFamily && { fontFamily: fontFamily }] },
        checked ? checkedTitle || title : title
      ),
      iconRight && _react2.default.createElement(Icon, {
        color: checked ? checkedColor : uncheckedColor,
        name: iconName,
        size: 24 })
    )
  );
};

CheckBox.defaultProps = {
  checked: false,
  iconRight: false,
  right: false,
  center: false,
  checkedColor: 'green',
  uncheckedColor: '#bfbfbf',
  checkedIcon: 'check-square-o',
  uncheckedIcon: 'square-o'
};

// CheckBox.propTypes = {
//   component, checked, iconRight, title, center, containerStyle, textStyle, onPress, checkedIcon, uncheckedIcon, iconType, checkedColor, uncheckedColor, checkedTitle
// }

styles = _reactNative.StyleSheet.create({
  wrapper: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  container: {
    margin: 5,
    marginLeft: 10,
    marginRight: 10,
    backgroundColor: '#fafafa',
    borderColor: '#ededed',
    borderWidth: 1,
    padding: 10,
    borderRadius: 3
  },
  text: _extends({
    marginLeft: 10,
    marginRight: 10,
    color: _colors2.default.grey1
  }, _reactNative.Platform.select({
    ios: {
      fontFamily: _fonts2.default.ios.bold
    },
    android: {
      fontFamily: _fonts2.default.android.bold
    }
  }))
});

exports.default = CheckBox;